Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Arsen1

Переход с ipb 2.3.6 на ipb 3

Recommended Posts

на хостинге прошел все нормально в чем может быть дело?

Share this post


Link to post
Share on other sites

сделал все тоже самое не чего не помагает надо все таки через iconv это делать на локалке у меня его нет как быть?

Share this post


Link to post
Share on other sites

на хостинге прошел все нормально в чем может быть дело?

Но ставите вы на хостинге.

 

сделал все тоже самое не чего не помагает надо все таки через iconv это делать на локалке у меня его нет как быть?

iconv входит в Денвер. Или он входит в расширенный Денвер...

Share this post


Link to post
Share on other sites

в обычном денвере его нет к сожалению ((

Share this post


Link to post
Share on other sites

когда в вожу в sql запрос вот что выходит #1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'iconv

Share this post


Link to post
Share on other sites

Пардон что пишу здесь, не хотелось плодить однотипные темы.

 

После конвертирования БД утилитой, вложенной в дистрибутив, появилось очень много HTML_кода в ранее написанных сообщениях. К примеру ссылка на чью либо цитату при редактировании выглядит так:

 

<!--quoteo(post=18456:date=18.9.2008, 9:01:name=Юзер)--><div class='quotetop'>Цитата(Юзер @ 18.9.2008, 9:01) 
<a href="index.php?act=findpost&pid=18456"><{POST_SNAPBACK}></a></div><div class='quotemain'><!--quotec-->Закрыто, 
подумал Штирлиц ...<!--QuoteEnd--></div><!--QuoteEEnd-->

Проблему решил, прочитав тему сначала ..

Share this post


Link to post
Share on other sites

спс Ph-A за помощь.

Share this post


Link to post
Share on other sites

У меня тоже проблема с вопросиками вместо старых сообщений. :(

 

Базу переконвертил.

 

При создании нового сообщения оно создается и отображается нормально (на форуме). Но если в phpMyAdmin смотреть страницу с базой (страница отображается в utf-8), то все старые видны нормально, а новое - кракозябрами. И это не cp1251, потому что когда меняешь вид страницы на cp1251, эта строчка нормально не отображается.

 

http://clip2net.com/clip/m24072/1289578200-clip-12kb.png

 

Не пойму в чем дело, везде где можно - utf-8.

 

ipb 2.3.6 -> 3.1.2

 

Подскажите что-нибудь действенное. :)

Share this post


Link to post
Share on other sites

Обновил 3.1.2 -> 3.1.3

 

Проблема осталась.

 

В конфиге не было строки с кодировкой. Если добавляю:

 

$INFO['sql_charset']            =    'utf8';

 

выдается неприятная ошибка:

 

Fatal error: Uncaught exception 'Exception' with message 'Не удалось инициализировать регистр, кеш настроек либо пуст, либо испорчен' in...

 

Если в конфиге указать cp1251, то форум запускается нормально, да еще и если вид страницы переключить на cp1251, то старые сообщения отображаются. Работать так, понятно, нереально, потому что сами страницы форума в utf8.

 

Ничего не понимаю... :( Сообщения же в utf8...

Edited by Private Detective

Share this post


Link to post
Share on other sites

Надо было базу перед апгрейдом конвертировать в utf-8.

Сейчас получится смесь.

Лучше проделайте апгрейд снова из бэкапа базы. В конфиге

$INFO['sql_charset']            =    'utf8';

следует указать ДО апгрейда, а не после

Share this post


Link to post
Share on other sites

Базу-то я конвертировал до апгрейда, есессно. Апдейтер и не дает апдейт делать если она не utf-8.

 

Настройки в конфиге да, до апдейта не было, там была старая настройка со старым названием (mysql_codepage вроде) и со старым значением.

 

Сейчас попробуем провести апдейт повторно (а точнее уже раз в 10-й)...

Edited by Private Detective

Share this post


Link to post
Share on other sites

Ух ты! Помогло, спасибо большое. А то я уже голову сломал.

 

Странно, что ни в апдейтере, ни в одной инструкции не написано заменить значение в конфиге до апдейта.

Share this post


Link to post
Share on other sites

Прошу помощи. Сейчас стоит 2.3.6. Решил перейти на 3.1. Весь вечер пытался оновиться, но всё тщетно. Выдаёт ошибку на 2 шаге:

 

Возникла ошибка при работе с базой данных.
К сожалению, на данный момент из-за технических проблем с базой данных, форум не может обработать ваш запрос. О проблеме уже сообщено администрации форума. 
Приносим свои извинения за причиненные неудобства. 
Вы можете попробовать обновить страницу нажав сюда

 

Базу конвертировал таким способом http://www.nikiza.ru/page.php?al=c_cp1251_na_utf8&pg=1

и способом Retsuka http://forums.ibresource.ru/index.php?/topic/58417/

 

При повторной попытке обновления ошибка выпадает сразу же после авторизации на странице обновления.

Share this post


Link to post
Share on other sites

Выдаёт ошибку на 2 шаге:

В форуме есть папка cache. Там лежат файлы ошибкок базы данных. Надо посмотреть последний файл на предмет ошибок.

 

При повторной попытке обновления ошибка выпадает сразу же после авторизации на странице обновления.

В дистрибутиве форума в папке Tools лежит файл check_requirements.php

 

Не плохо написать версию PHP, базы данных. И так далее...

Share this post


Link to post
Share on other sites

Вот последняя ошибка из лога папки cache:

 

 Error: 1054 - Unknown column 'bbcode_custom_regex' in 'field list'
IP Address: 95.111.111.11 - /forums/admin/upgrade/index.php?app=upgrade&workact=permsAndBbcode&st=0&section=upgrade&do=appclass
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
mySQL query error: INSERT INTO ibf_custom_bbcode (`bbcode_title`,`bbcode_desc`,`bbcode_tag`,`bbcode_replace`,`bbcode_useoption`,`bbcode_example`,`bbcode_switch_option`,`bbcode_menu_option_text`,`bbcode_menu_content_text`,`bbcode_groups`,`bbcode_sections`,`bbcode_php_plugin`,`bbcode_no_parsing`,`bbcode_optional_option`,`bbcode_aliases`,`bbcode_image`,`bbcode_single_tag`,`bbcode_app`,`bbcode_protected`,`bbcode_custom_regex`) VALUES('Возврат к сообщению','Данный тег отображает маленький ярлычок ссылки, с помощью которого можно перейти непосредственно к сообщению - используется при цитировании сообщений форума. По умолчанию открывается в том же самом окне.','snapback','',0,'[snapback]100[/snapback]',0,'','','all','all','defaults.php',0,0,'','',0,'core',0,'')
.--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------.
| File                                                                       | Function                                                                      | Line No.          |
|----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------|
| admin/applications/core/modules_admin/posts/bbcode.php                     | [db_main_mysql].insert                                                        | 378               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/applications/core/setup/versions/upg_30001/version_upgrade.php       | [admin_core_posts_bbcode].bbcodeImportDo                                      | 716               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/applications/core/setup/versions/upg_30001/version_upgrade.php       | [version_upgrade].permsAndBbcode                                              | 96                |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/applications/upgrade/sections/upgrade.php                      | [version_upgrade].doExecute                                                   | 403               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/applications/upgrade/sections/upgrade.php                      | [upgrade_upgrade].install_appclass                                            | 148               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'
| admin/setup/sources/base/ipsController_setup.php                           | [upgrade_upgrade].doExecute                                                   | 256               |
'----------------------------------------------------------------------------+-------------------------------------------------------------------------------+-------------------'

 

Requirements Checker показывает:

 

Checking memory limit (128M or better recommended)...WARNING

Your memory limit: 16M. You can still proceed but we recommend you contact your host and request the memory limit be raised to 128M to prevent possible issues.

 

Сейчас бодаюсь с хостером чтобы увеличили хотя бы до 64Мб. Но я думаю пробелма не у memory limit, иначе ошибка была типа "Fatal error: Allowed memory size of XXX bytes exhausted (tried to allocate XXX bytes) in /www/..." Хотя могу ошибаться.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...